Loading...
Searching...
No Matches
gelss: least squares using SVD, QR iteration
LAPACK » Least squares » Standard least squares, min || Ax - b ||_2
Collaboration diagram for gelss: least squares using SVD, QR iteration:

## Functions

subroutine | cgelss (m, n, nrhs, a, lda, b, ldb, s, rcond, rank, work, lwork, rwork, info)
| CGELSS solves overdetermined or underdetermined systems for GE matrices
subroutine | dgelss (m, n, nrhs, a, lda, b, ldb, s, rcond, rank, work, lwork, info)
| DGELSS solves overdetermined or underdetermined systems for GE matrices
subroutine | sgelss (m, n, nrhs, a, lda, b, ldb, s, rcond, rank, work, lwork, info)
| SGELSS solves overdetermined or underdetermined systems for GE matrices
subroutine | zgelss (m, n, nrhs, a, lda, b, ldb, s, rcond, rank, work, lwork, rwork, info)
| ZGELSS solves overdetermined or underdetermined systems for GE matrices

## Detailed Description